ZMQSocket::recv
ZMQSocket::send
ZMQSocket
PHP Manual

# ZMQSocket::recvMulti

Receives a multipart message

### Description

public string ZMQSocket::recvMulti ([ integer `$mode` = 0 ] )

Receive an array multipart message from a socket. By default receiving will block until a message is available unless `ZMQ::MODE_NOBLOCK` flag is used.

### Parameters

`mode`

  Pass mode flags to receive multipart messages or non-blocking operation. See `ZMQ::MODE_*` constants.

### Return Values

Returns the array of message parts. Throws ZMQSocketException in error. If `ZMQ::MODE_NOBLOCK` is used and the operation would block boolean false shall be returned.